-- <a href="http://hoohoo.ncsa.uiuc.edu/cgi/interface.html">Documentation</a>
package CGI is
  -- The httpd server requires the input to be read. This package automatically
  -- reads the input according the rules for <a href="http://hoohoo.ncsa.uiuc.edu/cgi/in.html">CGI Input</a>

private
  -- Child packages may parse the Input for various purposes:
  function Input return String;
    -- Get may be called multiple times. However, the Input is retrieved
    -- only once from Standard_Input when the program starts.

  -- It is usually unimportant how the Input was retrieved.
  type Request_Method is (Get, Post, Unknown);
  function Method return Request_Method;
end CGI;
